# Module comm_acceptor

- Description
- Function Index
- Function Details

Acceptor.

Copyright © 2008-2015 Zuse Institute Berlin

Version: $Id$

Authors: Thorsten Schuett (`schuett@zib.de`).

## Description

Acceptor.

This module accepts new connections and starts corresponding comm_connection processes.

## Function Index

check_config/0 | Checks whether config parameters exist and are valid.
init/2 |
start_gen_component/5 |
start_link/1 |

## Function Details

### start_gen_component/5

    start_gen_component(Module :: module(),
                        Handler :: gen_component:handler(),
                        Args :: term(),
                        Options :: [gen_component:option()],
                        Self :: pid()) ->
                           no_return() | ok

### start_link/1

    start_link(GroupName :: pid_groups:groupname()) -> {ok, pid()}

### init/2

    init(Supervisor :: pid(), GroupName :: pid_groups:groupname()) ->
            any()

### check_config/0

    check_config() -> boolean()

Checks whether config parameters exist and are valid.

Generated by EDoc, Feb 29 2016, 16:12:14.